Bug 201358 - [NEW PORT] sysutils/octopkg: Package manager for FreeBSD pkg packages
Summary: [NEW PORT] sysutils/octopkg: Package manager for FreeBSD pkg packages
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords: feature, needs-qa, patch
Depends on:
Blocks:
 
Reported: 2015-07-05 15:19 UTC by jsmith
Modified: 2015-07-08 00:54 UTC (History)
5 users (show)

See Also:


Attachments
Shell archive for octopkg port (1.71 KB, text/plain)
2015-07-05 15:19 UTC, jsmith
no flags Details
Updated shell rchive of the octopkg port (1.77 KB, text/plain)
2015-07-05 16:20 UTC, jsmith
no flags Details
slightly updated diff (3.86 KB, patch)
2015-07-06 03:55 UTC, Steve Wills
no flags Details | Diff
Diff against existing port (2.25 KB, patch)
2015-07-07 01:26 UTC, Steve Wills
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jsmith 2015-07-05 15:19:33 UTC
Created attachment 158376 [details]
Shell archive for octopkg port

Please find attached a shell archive for a new port, sysutils/octopkg.

OctoPkg is a graphical front-end to the pkg-ng command line package manager. It enables finding, installing, removing and upgrading packages through a user-friendly graphical interface.

Upstream website: http://octopkg.wordpress.com/
Comment 1 jsmith 2015-07-05 16:20:28 UTC
Created attachment 158381 [details]
Updated shell rchive of the octopkg port

This is an updated shar of the port with typos fixed and an improved COMMENT field.
Comment 2 Jason Unovitch freebsd_committer 2015-07-05 23:08:31 UTC
Very cool.  Can you add the QA output of 'poudriere testport ...' as well as 'portlint -AC' to go along with your submission?
Comment 3 Steve Wills freebsd_committer 2015-07-06 03:55:41 UTC
Created attachment 158405 [details]
slightly updated diff

Here's an updated version that passes portlint -ACNc and includes a .desktop entry and icon png so there's a nice icon. Look good to you?
Comment 4 mikael.urankar 2015-07-06 14:52:05 UTC
(In reply to Steve Wills from comment #3)
Why don't you use DESKTOP_ENTRIES in the port Makefile?

DESKTOP_ENTRIES=  "NAME" "COMMENT" "ICON" "COMMAND" "CATEGORY" StartupNotify

DESKTOP_ENTRIES= "OctoPkg" "A powerful pkgng front-end" \
                "${PREFIX}/share/pixmaps/octopi_green.png" \
                "octopkg" "System;" false
Comment 5 Jason Unovitch freebsd_committer 2015-07-06 15:55:18 UTC
Thanks kmoore@!
It looks like sysutils/octopkg was committed independently of this PR.  Is there anything left for this PR to integrate or can this be called fixed?

https://svnweb.freebsd.org/ports?view=revision&revision=391418
Comment 6 Kris Moore freebsd_committer 2015-07-06 15:59:21 UTC
Oh, my bad I didn't realize there was another port of it in the works. If you have any changes / improvements you want to commit to the version I just added go for it!
Comment 7 Steve Wills freebsd_committer 2015-07-07 01:26:14 UTC
Created attachment 158447 [details]
Diff against existing port

Here's a diff against the existing port with all the changes that I think belong. Kris, this look OK to you?
Comment 8 Kris Moore freebsd_committer 2015-07-07 14:53:40 UTC
That patch looks fine, go ahead and commit it when you are ready.
Comment 9 commit-hook freebsd_committer 2015-07-08 00:53:12 UTC
A commit references this bug:

Author: swills
Date: Wed Jul  8 00:52:20 UTC 2015
New revision: 391540
URL: https://svnweb.freebsd.org/changeset/ports/391540

Log:
  ports-mgmt/octopkg: several improvements

  - Use DISTVERSIONPREFIX
  - Improve COMMENT
  - Improve deps by updating USE_QT5
  - Allow build on 9.x by adding compiler:c++11-lib
  - Add desktop entry and icon

  PR:		201358
  Approved by:	kmoore (maintainer)

Changes:
  head/ports-mgmt/octopkg/Makefile
  head/ports-mgmt/octopkg/distinfo
  head/ports-mgmt/octopkg/pkg-descr
Comment 10 Steve Wills freebsd_committer 2015-07-08 00:54:29 UTC
Committed, thanks to all.